Subject: Re: [PATCH v4 2/2] push: Don't push a repository with unpushed submodules

From: Heiko Voigt <[email-masked]>
Date: Fri, 19 Aug 2011 22:44:33 +0200

Hi,

On Thu, Aug 18, 2011 at 01:32:26PM -0700, Junio C Hamano wrote:
> Heiko Voigt <[email-masked]> writes:
> > Since I do not see thisi in pu maybe you missed this? There was a series
> > containing the same patch send before which Jens asked to ignore but
> > this was the one which was meant to be included.
> 
> Hmm, this is how the messages look like in my threaded MUA:
> 
>   [  34: Fredrik Gustafsson     ] [PATCH v4 0/2] push limitations
>    [ 377: Fredrik Gustafsson     ] [PATCH v4 2/2] push: Don't push a reposi...
>    [  35: Jens Lehmann           ] Re: [PATCH v4 0/2] push limitations
>   [ 377: Fredrik Gustafsson     ] [PATCH v4 2/2] push: Don't push a reposit...
>    [  14: Heiko Voigt            ] 
> 
> where Jens says "Please ignore this series, it slipped by accident" in the
> third one. And the second [PATCH v4 2/2] message that you are reminding me
> of (thanks!) has the identical proposed commit log message and patch text
> as the other [PATCH v4 2/2] message.
> 
> So I am not sure what is going on here.

Sorry for confusing you.

There was a patch series which included a patch which was the same as
the patch I replied to. This was sent by accident since it also included
an old patch which was originally part of the 'fg/submodule-git-file-git-dir'
series.

Afterwards Fredrik also sent the same patch on its own again but forgot
to edit the subject. That was the patch to be included. But we already
discovered a small bug in the option parsing and will probably add
another patch implementing the on-demand option. So its probably simpler
if you just wait for our next iteration.

> Also I vaguely recall that I said something about the command line parser
> for this new option during the review of the previous round. Has that been
> resolved/corrected?

We plan to make the --recurse-submodules option symmetric to the one
already implemented in fetch. AFAIK, having a mixed boolean and other
values option is only possible by using a callback. To make extending it
simpler we decided to put the necessary infrastructure already in place.

Cheers Heiko